# coding=utf-8
from parallels.core.utils.message_utils import single_line_message, multi_line_message, load_overrides

CANNOT_DETERMINE_MAILBOX_LOCATION = single_line_message("""
    Cannot determine mailbox location for mail user "%s"
""")
CANNOT_DETECT_CONFIXX_MAIL_STORAGE_DIR = single_line_message("""
    Cannot detect Confixx mail storage directory based on 'maildrop' value '%s'
""")
FAILED_TO_FIND_PARAMETER_IN_CONFIXX_CONFIG = single_line_message("""
    Failed to find parameter '%s' in config file '%s'
""")
REPORT_TITLE_INFRASTRUCTURE_CHECKS_CONNECTIONS = single_line_message("""
    Connections required for source and the destination %s server
""")
FAILED_TO_CHECK_CONNECTIONS = single_line_message("""
    Failed to check connections between for source and the destination %s server
""")
FETCH_DATA_FROM_SOURCE_CONFIXX = single_line_message("""
    Fetch data from source Confixx
""")
LOG_CHECK_CONNECTION_REQUIREMENTS = single_line_message("""
    Check connection requirements
""")
LOG_CHECK_DISK_SPACE_REQUIREMENTS = single_line_message("""
    Check disk space requirements
""")
REPORT_TARGET_DISK_SPACE_REQUIREMENTS = single_line_message("""
    Disk space requirements
""")
LOG_GET_CONFIXX_CONFIG_PATH = single_line_message("""
    Get Confixx config file path
""")
DEBUG_UNIX_VHOST_DIR = single_line_message("""
    Unix vhost directory: %s
""")
SOURCE_DOCUMENT_ROOT_FILE = multi_line_message("""
    Site '{site}' has document root pointing to a file '{full_path}', not a directory, on the source server.
    Most likely that is misconfiguration of the site on the source server,
    and such configuration is not supported by the target server.

    On the target server document root of the site will point to a directory with name '{target_document_root}'.
    File '{full_path}' will not be copied from the source server.

    Copy the file and resolve the misconfiguration manually.
""")
ACTION_ENABLE_MAIL_SHORTNAMES_DESCRIPTION = single_line_message("""
    Enable short names to log into mailboxes by IMAP/POP3 on the target server
""")
ACTION_ENABLE_MAIL_SHORTNAMES_FAILURE = single_line_message("""
    Failed to enable short names to log into mailboxes by IMAP/POP3 on the target server
""")

# Load language and UI type overrides. That must be the last line of root messages file.
load_overrides(__name__, locals())
